/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.math.BigDecimal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Caja;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;

/**
 * 
 * @author Administrador
 */
public class RenderCajaTotvs implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		Caja caja = (Caja) o;

		Listcell lc = new Listcell(caja.getNumfoliosistema().toString());
		lc.setParent(lstm);

		lc = new Listcell(caja.getPuntoventaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(DateUtil.getStringDateHour(caja.getFechorventaH()));
		lc.setParent(lstm);

		lc = new Listcell(caja.getIndstatusboleto());
		lc.setParent(lstm);

		BigDecimal valorBilhete = MoneyHelper.somar(caja.getPreciopagado(), caja.getImportetaxaembarque(), caja.getImportepedagio(), caja.getImporteseguro());
		lc = new Listcell(MoneyHelper.getValor(valorBilhete));
		lc.setParent(lstm);
		
		lc = new Listcell(caja.getIntegradoTotvs().toString() );
		lc.setParent(lstm);
		
		lc = new Listcell(caja.getContadorIntegradoTotvs().toString() );
		lc.setParent(lstm);

		lstm.setAttribute("data", caja);
	}
}
